VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5655
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   5655
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame fraNew 
      Caption         =   "New Variable"
      Enabled         =   0   'False
      Height          =   975
      Left            =   120
      TabIndex        =   6
      Top             =   4560
      Width           =   4455
      Begin VB.CommandButton cmdAdd 
         Caption         =   "Add"
         Enabled         =   0   'False
         Height          =   375
         Left            =   3600
         TabIndex        =   11
         Top             =   360
         Width           =   735
      End
      Begin VB.TextBox txtNewValue 
         Height          =   285
         Left            =   1080
         TabIndex        =   10
         Top             =   600
         Width           =   2415
      End
      Begin VB.TextBox txtNewName 
         Height          =   285
         Left            =   1080
         TabIndex        =   8
         Top             =   240
         Width           =   2415
      End
      Begin VB.Label Label2 
         Caption         =   "Value"
         Height          =   255
         Index           =   1
         Left            =   360
         TabIndex        =   9
         Top             =   600
         Width           =   615
      End
      Begin VB.Label Label2 
         Caption         =   "Name"
         Height          =   255
         Index           =   0
         Left            =   360
         TabIndex        =   7
         Top             =   240
         Width           =   615
      End
   End
   Begin VB.ListBox lstVariables 
      Height          =   3375
      Left            =   120
      TabIndex        =   5
      Top             =   1080
      Width           =   3615
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Enabled         =   0   'False
      Height          =   375
      Left            =   2640
      TabIndex        =   4
      Top             =   600
      Width           =   735
   End
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Delete"
      Enabled         =   0   'False
      Height          =   375
      Left            =   3840
      TabIndex        =   3
      Top             =   1680
      Width           =   735
   End
   Begin VB.CommandButton cmdOpen 
      Caption         =   "Open"
      Height          =   375
      Left            =   720
      TabIndex        =   2
      Top             =   600
      Width           =   735
   End
   Begin VB.TextBox txtFile 
      Height          =   285
      Left            =   480
      TabIndex        =   1
      Top             =   120
      Width           =   4095
   End
   Begin VB.Label Label1 
      Caption         =   "File"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   375
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private m_WordApp As Word.Application
Private m_WordDoc As Word.Document

Private Sub cmdAdd_Click()
    m_WordDoc.Variables.Add txtNewName.Text, txtNewValue.Text
    lstVariables.AddItem txtNewName.Text & " = " & txtNewValue.Text
    txtNewName.Text = ""
    txtNewValue.Text = ""
End Sub

Private Sub cmdClose_Click()
    ' Save and close the document.
    m_WordDoc.Close True
    Set m_WordDoc = Nothing

    ' Clean up.
    m_WordApp.Quit
    Set m_WordApp = Nothing

    lstVariables.Clear
    cmdDelete.Enabled = False
    fraNew.Enabled = False
End Sub

Private Sub cmdDelete_Click()
Dim var_name As String

    ' Remove the variable from the document.
    var_name = Split(lstVariables.Text, " = ")(0)
    m_WordDoc.Variables.Item(var_name).Delete

    ' Remove the variable from the list.
    lstVariables.RemoveItem lstVariables.ListIndex

    cmdDelete.Enabled = lstVariables.ListIndex > -1
End Sub

Private Sub cmdOpen_Click()
Dim word_var As Word.Variable
Dim txt As String

    ' Make a Word server object.
    Set m_WordApp = New Word.Application
    m_WordApp.Visible = False

    ' Open the Document.
    Set m_WordDoc = m_WordApp.Documents.Open(txtFile.Text)

    ' Loop over all document stories.
    For Each word_var In m_WordDoc.Variables
        txt = word_var.Name & " = "
        On Error Resume Next
        txt = txt & word_var.Value
        If Err.Number <> 0 Then txt = txt & "?????"
        On Error GoTo 0

        lstVariables.AddItem txt
    Next word_var

    cmdClose.Enabled = True
    fraNew.Enabled = True
End Sub
Private Sub Form_Load()
Dim file_name As String

    file_name = App.Path
    If Right$(file_name, 1) <> "\" Then file_name = file_name & "\"
    txtFile.Text = file_name & "test.doc"
End Sub


Private Sub Form_Unload(Cancel As Integer)
    If Not m_WordApp Is Nothing Then m_WordApp.Quit SaveChanges:=True
End Sub


Private Sub lstVariables_Click()
    cmdDelete.Enabled = lstVariables.ListIndex > -1
End Sub

Private Sub txtNewName_Change()
    cmdAdd.Enabled = (Len(txtNewName.Text) > 0 And Len(txtNewValue.Text) > 0)
End Sub


Private Sub txtNewValue_Change()
    cmdAdd.Enabled = (Len(txtNewName.Text) > 0 And Len(txtNewValue.Text) > 0)
End Sub


